LibreOffice: XFunctionManager Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Member Functions | List of all members
XFunctionManager Interface Reference

identifies a XFunctionManager which allows to retrieve the meta data of all supported functions. More...

`import <XFunctionManager.idl;`

Inheritance diagram for XFunctionManager:

## Exported Interfaces
interface | com::sun::star::lang::XComponent
| allows life-time control of report engine.
interface | com::sun::star::container::XIndexAccess
| gives access to all categories

## Public Member Functions
XFunctionCategory | getCategory ([in] long position) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| same as getByIndex.
XFunctionDescription | getFunctionByName ([in] string name) raises ( com::sun::star::container::NoSuchElementException)
| get the function description by name
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()

## Detailed Description

identifies a XFunctionManager which allows to retrieve the meta data of all supported functions.

## Exported Interfaces

## ◆ com::sun::star::container::XIndexAccess

interface com::sun::star::container::XIndexAccess

gives access to all categories

## ◆ com::sun::star::lang::XComponent

interface com::sun::star::lang::XComponent

allows life-time control of report engine.

## Member Function Documentation

## ◆ getCategory()

XFunctionCategory getCategory | ( | [in] long | position | ) |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException,
|  | com::sun::star::lang::WrappedTargetException ) |  |  |

same as getByIndex.

Parameters

  position | The position.

See also
  com.sun.star.container.XIndexAccess

## ◆ getFunctionByName()

XFunctionDescription getFunctionByName | ( | [in] string | name | ) |
raises | ( | com::sun::star::container::NoSuchElementException ) |  |  |

get the function description by name

Parameters

  name | the name of the function

The documentation for this interface was generated from the following file:

- com/sun/star/report/meta/XFunctionManager.idl